%define major	%{version}
%define libname	%mklibname %{name}_ %{major}
%define devname	%mklibname %{name} -d

Name:		radare2
Version:	5.6.4
Release:	%mkrel 1
Summary:	Reverse engineering framework and commandline tools security
License:	GPLv3+ and LGPLv3+
Group:		System/Libraries
Url:		https://www.radare.org/
Source0:	https://github.com/radareorg/radare2/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	file-devel
BuildRequires:	gmp-devel
BuildRequires:	meson
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(capstone)
BuildRequires:	pkgconfig(libuv)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(zlib)

%description
Radare2 is a rewrite from scratch of radare in order to provide a set
of libraries and tools to work with binary files.

Radare project started as a forensics tool, a scriptable commandline
hexadecimal editor able to open disk files, but later support for
analyzing binaries, disassembling code, debugging programs, attaching
to remote gdb servers, ...

#------------------------------------------------

%package -n	%{libname}
Summary:	Reverse engineering framework and commandline tools security
Group:		System/Libraries

%description -n	%{libname}
Radare2 is a rewrite from scratch of radare in order to provide a set
of libraries and tools to work with binary files.

Radare project started as a forensics tool, a scriptable commandline
hexadecimal editor able to open disk files, but later support for
analyzing binaries, disassembling code, debugging programs, attaching
to remote gdb servers, ...

#------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Header files for development with %{name}.

#------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
# Whereever possible use the system-wide libraries instead of bundles
%meson \
    -Duse_sys_magic=false \
    -Duse_sys_zip=true \
    -Duse_sys_zlib=true \
    -Duse_sys_lz4=true \
    -Duse_sys_xxhash=false \
    -Duse_sys_openssl=true \
    -Duse_libuv=true \
    -Duse_sys_capstone=true
%meson_build

%install
%meson_install

%files
%doc CONTRIBUTING.md DEVELOPERS.md 
%license COPYING
%{_bindir}/r2
%{_bindir}/r2agent
%{_bindir}/r2pm
%{_bindir}/r2pm.sh
%{_bindir}/r2r
%{_bindir}/rabin2
%{_bindir}/radare2
%{_bindir}/radiff2
%{_bindir}/rafind2
%{_bindir}/ragg2
%{_bindir}/rahash2
%{_bindir}/rarun2
%{_bindir}/rasign2
%{_bindir}/rasm2
%{_bindir}/ravc2
%{_bindir}/rax2
%{_datadir}/%{name}/
%{_datadir}/zsh/site-functions/_r*
%{_docdir}/%{name}/
%{_mandir}/man1/r*.1.*
%{_mandir}/man7/esil.7.*

%files -n %{libname}
%{_libdir}/libr*.so.%{major}

%files -n %{devname}
%{_includedir}/libr/
%{_libdir}/libr*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Nov 25 2022 ns80 <ns80> 5.6.4-1.mga8
+ Revision: 1911091
- new version 5.6.4 for several CVEs (mga#29163)
+ neoclust <neoclust>
- New version 5.5.4
- New version 5.1.1: Fixes CVE-2020-16269 and CVE-2020-17487 (mga#28476)

* Tue Dec 22 2020 daviddavid <daviddavid> 4.5.1-1.mga8
+ Revision: 1662775
- new version: 4.5.1

* Sun Aug 02 2020 daviddavid <daviddavid> 4.5.0-1.mga8
+ Revision: 1610493
- new version: 4.5.0

* Sat May 23 2020 daviddavid <daviddavid> 4.4.0-1.mga8
+ Revision: 1586922
- new version: 4.4.0

* Tue Mar 31 2020 daviddavid <daviddavid> 4.3.1-1.mga8
+ Revision: 1562519
- new version: 4.3.1

* Thu Feb 20 2020 daviddavid <daviddavid> 4.2.1-1.mga8
+ Revision: 1547577
- new version: 4.2.1, fixes CVE-2019-19590 and CVE-2019-19647 (mga#26232)

* Tue Feb 18 2020 umeabot <umeabot> 4.1.1-2.mga8
+ Revision: 1541496
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 daviddavid <daviddavid> 4.1.1-1.mga8
+ Revision: 1474582
- new version: 4.1.1 (reantull)

* Wed Oct 02 2019 daviddavid <daviddavid> 3.8.0-1.mga8
+ Revision: 1448857
- new version: 3.8.0

* Wed Jul 17 2019 daviddavid <daviddavid> 3.6.0-1.mga8
+ Revision: 1422006
- new version: 3.6.0

* Thu Apr 18 2019 daviddavid <daviddavid> 3.4.1-1.mga7
+ Revision: 1393120
- new version: 3.4.1

* Thu Apr 18 2019 umeabot <umeabot> 3.3.0-2.mga7
+ Revision: 1392913
- Rebuild with meson 0.50.1

* Mon Feb 25 2019 daviddavid <daviddavid> 3.3.0-1.mga7
+ Revision: 1370017
- new version: 3.3.0

* Tue Jan 22 2019 daviddavid <daviddavid> 3.2.1-1.mga7
+ Revision: 1359451
- new version: 3.2.1

* Mon Jan 14 2019 daviddavid <daviddavid> 3.2.0-3.mga7
+ Revision: 1356392
- use bundled radare2 magic libraries until an upstream radare2-cutter fix
  * https://github.com/radareorg/cutter/issues/1108

* Sun Jan 13 2019 daviddavid <daviddavid> 3.2.0-2.mga7
+ Revision: 1355887
- new version: 3.2.0
- switch to meson build system

* Sat Jan 12 2019 tv <tv> 2.9.0-2.mga7
+ Revision: 1355779
- rebuild for new capstone

* Thu Sep 06 2018 daviddavid <daviddavid> 2.9.0-1.mga7
+ Revision: 1257555
- new version: 2.9.0

* Tue Aug 14 2018 daviddavid <daviddavid> 2.8.0-1.mga7
+ Revision: 1251442
- new version: 2.8.0

* Wed Jul 11 2018 daviddavid <daviddavid> 2.7.0-1.mga7
+ Revision: 1243092
- new version: 2.7.0

* Thu Jul 05 2018 daviddavid <daviddavid> 2.6.9-1.mga7
+ Revision: 1241725
- new version: 2.6.9

* Sun May 20 2018 daviddavid <daviddavid> 2.5.0-1.mga7
+ Revision: 1230585
- initial package radare2

